/*
LED.c: Switch the Sys LED ON and OFF.

Compiler: BC++ 3.1, 
          Turbo C++ 1.01 (3.01)
          MSVC 1.52

Compile mode: Large

Project: LED.c
         ..\lib\g4500\g4500.lib
         
Hordware: G-4513

Description

    |   GPS     3G      Sys   |
    |    o       o       o    |
    |          Fault Charging |
    |            o       o    |

	Sys LED is programmable.
	
[Dec 28, 2011] by Liam
[Feb 17, 2015] by William
*/

#include <stdio.h>
#include "..\lib\g4500\g4500.h"

void main(void)
{
    int LedMode=0;
    unsigned long value;
    int quit=0;
    
    InitLib(); /* InitLib() must be called before other functions in the library may be used */
    
    Print("Press 'q' to quit\r\n");
    
    LedOff();
    
    while(!quit)
    {
        if(Kbhit())
        {
            switch(Getch())
            {
                case 'q':
                    quit=1;
                    break;
			
				case '1':
					LedOn();
					break;
					
				case '0':
					LedOff();
					break;
					
				case 't':
					LedToggle();
					break;
				
                default:
                    break;
            }
        }
    }
}