/*
Compiler: BC++ 3.1, 
          Turbo C++ 1.01 (3.01)
      
Compile mode: large

Project: SD_QA.c 
         ..\..\lib\g4500\g4500.lib
         ..\..\lib\microsd\sd_vnnn.lib
         
Hardware: G-4500

[Jul 31, 2013] by Liam
[Feb 16, 2015] by William
*/

#include <stdlib.h>
#include "..\..\lib\g4500\g4500.h"			
#include "..\..\lib\microsd\microSD.h"

void main(void)
{ 
    int fd, iRet;
    
    InitLib();
    if(pc_init())
		Print("Init microSD ok\n");
    else
    {
        Print("Init microSD failed\n");
        iRet=pc_get_errno();
        switch(iRet)
        {
            case PCERR_BAD_FORMAT: //1
                Print("Error 01: format is not FAT(FAT32)\n");
                break;
                
            case PCERR_NO_CARD: //2
                Print("Error 02: no microSD card\n");
                break;
                
            default:
                Print("Error %02d: check the error code list in microSD.h\n");
        }
        
        Delay(10); //wait 10 ms to let the message can be printed compeletely.
        exit(0);
    }
    
    fd=pc_open("test.txt", (word)(PO_WRONLY|PO_CREATE|PO_APPEND), (word)(PS_IWRITE|PS_IREAD));
    if(fd>=0)
    {
        pc_write(fd, "1234567890", 10); //write 10 bytes
        pc_close(fd);
        Print("write 10 bytes to test.txt, done.\n");
    }
    else
    {
        iRet=pc_get_errno();
        Print("Error %02d: check the error code list in microSD.h\n", iRet);
    }
}